package com.hisschemoller.controller 
{
	import com.hisschemoller.model.SampleBankProxy;
	import com.hisschemoller.utils.sound.SoundVO;
	
	import org.puremvc.as3.interfaces.ICommand;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.command.SimpleCommand;
	import org.puremvc.as3.patterns.observer.Notifier;	
	/**
	 * (c) Copyright LBi Lost Boys 2009
	 * @author wouter.hisschemoller
	 */
	public class AddSoundCommand extends SimpleCommand implements ICommand 
	{
		override public function execute(note : INotification) : void
		{
			var soundVO : SoundVO = note.getBody() as SoundVO;
			
			var sampleBankProxy : SampleBankProxy = facade.retrieveProxy(SampleBankProxy.NAME) as SampleBankProxy;
			
			sampleBankProxy.addSound(soundVO);
			sampleBankProxy.addPreset(soundVO);
			sampleBankProxy.selectPresetBySoundVO(soundVO);
		}
	}
}
