package com.hisschemoller.model.vo 
{
	import com.hisschemoller.utils.sound.SoundVO;
	
	import flash.display.BitmapData;	
	/**
	 * @author Wouter Hisschemöller
	 * (c) Jun 4, 2009
	 */
	public class SamplerPresetVO
	{
		public var number : uint;
		public var name : String;
		public var soundData : SoundVO = new SoundVO();
		public var soundGraphic : BitmapData;
		public var start : int;
		public var end : int;
		public var loopStart : int;
		public var loopEnd : int;
		public var reverse : Boolean;
		public var transpose : Number = 0;
		
		public function parseXML(o : XML) : Boolean
		{
			number = o.@id;
			name = o.@id;
			soundData.url = o.@url;
			start = o.@start;
			end = o.@end;
			loopStart = o.@loopstart;
			loopEnd = o.@loopend;
			reverse = o.@reverse;
			transpose = o.@transpose;
			
			return true;
		}
	}
}
