package com.hisschemoller.view 
{
	import com.hisschemoller.AppFacade;
	import com.hisschemoller.view.components.Controls;

	import org.puremvc.as3.interfaces.IMediator;
	import org.puremvc.as3.patterns.mediator.Mediator;

	import flash.events.Event;	
	/**
	 * @author Wouter Hisschemoller
	 * (c) Jan 5, 2010
	 */
	public class ControlsMediator extends Mediator implements IMediator 
	{
		public static const NAME : String = "SamplePlaybackMediator";

		public function ControlsMediator(viewComponent : Object)
		{
			super(NAME, viewComponent);
		}

		/**
		 * 
		 */
		override public function onRegister() : void
		{
			controls.addEventListener(Controls.PLAY_PRESSED, playButtonHandler);
			controls.addEventListener(Controls.PLAY_RELEASED, playButtonHandler);
		}

		/**
		 * 
		 */
		private function playButtonHandler(event : Event) : void
		{
			switch(event.type)
			{
				case Controls.PLAY_PRESSED:
					facade.sendNotification(AppFacade.ADD_GENERATOR);
					break;
				case Controls.PLAY_RELEASED:
					facade.sendNotification(AppFacade.REMOVE_GENERATOR);
					break;
			}
		}

		/**
		 * 
		 */
		private function get controls() : Controls
		{
			return viewComponent as Controls;
		}
	}
}
