package com.hisschemoller.view.components 
{
	import com.hisschemoller.view.components.base.PushButton;
	
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	import flash.geom.Rectangle;	
	/**
	 * (c) Copyright LBi Lost Boys 2009
	 * @author wouter.hisschemoller
	 */
	public class Locator extends PushButton 
	{
		private var _dragRectangle : Rectangle;
		
		public function Locator(asset : MovieClip, dragRectangle : Rectangle)
		{
			super(asset);
			
			_dragRectangle = dragRectangle;
		}

		/**
		 * Creates and adds the child display objects of this component.
		 */
		override protected function addChildren() : void
		{
			super.addChildren();
		}

		/**
		 * Internal mouseOut handler.
		 * @param event The MouseEvent passed by the system.
		 */
		override protected function handleMouseDown(event : MouseEvent) : void
		{
			super.handleMouseDown(event);
			
			_asset.startDrag(false, _dragRectangle);
		}

		/**
		 * Internal mouseUp handler.
		 * @param event The MouseEvent passed by the system.
		 */
		override protected function handleMouseUp(event : MouseEvent) : void
		{
			super.handleMouseUp(event);
			
			_asset.stopDrag();
		}
		
		/**
		 * 
		 */
		public function get asset() : MovieClip
		{
			return _asset;
		}
	}
}
