package com.hisschemoller.view.components 
{
	import assets.PlayLocatorBarAsset;
	
	import com.hisschemoller.view.components.base.LocatorBar;
	
	import flash.display.MovieClip;	
	/**
	 * (c) Copyright LBi Lost Boys 2009
	 * @author wouter.hisschemoller
	 */
	public class PlayLocatorBar extends LocatorBar 
	{
		public function PlayLocatorBar(asset : MovieClip)
		{
			super(asset);
		}

		/**
		 * Creates and adds the child display objects of this component.
		 */
		override protected function addChildren() : void
		{
			_track = asset.tTrack;
			
			_fill = asset.tFill;
			
			_startLocator = asset.tStartLocator; // new PushButton(asset.tStartLocator);
			
			_endLocator = asset.tEndLocator; // new PushButton(asset.tEndLocator);
			
			super.addChildren();
		}

		/**
		 * 
		 */
		private function get asset() : PlayLocatorBarAsset
		{
			return _asset as PlayLocatorBarAsset;
		}
	}
}
