package com.hisschemoller.view.components 
{
	import com.hisschemoller.view.components.base.PushButton;
	
	import flash.display.MovieClip;
	import flash.display.Shape;	
	/**
	 * @author Wouter Hisschemoller
	 * (c) Jan 10, 2010
	 */
	public class ToggleButton extends PushButton 
	{
		protected var _toggleIcon : Shape;
		
		public function ToggleButton(asset : MovieClip)
		{
			super(asset);
		}

		/**
		 * Creates and adds the child display objects of this component.
		 */
		override protected function addChildren() : void
		{
			super.addChildren();
			
			_toggleIcon = new Shape();
			_asset.addChild(_toggleIcon);
		}

		/**
		 * Draw function.
		 */
		override public function draw() : void
		{
			super.draw();
			
			_toggleIcon.graphics.clear();
			
			if(_enabled)
			{
				if(_mouseOver)
				{
					
				}
				else if(_mouseDown)
				{
					
				}
				else
				{
					
				}
			}
			else
			{
				
			}
			
			if(_selected)
			{
				_toggleIcon.graphics.beginFill(0xFFFFFF);
				_toggleIcon.graphics.drawRect(7, 7, 6, 6);
			}
			else
			{
				
			}
		}
	}
}
