package com.hisschemoller.view.components 
{
	import assets.TransposeSliderAsset;
	
	import com.hisschemoller.view.components.base.Slider;
	
	import flash.display.MovieClip;	
	/**
	 * (c) Copyright LBi Lost Boys 2009
	 * @author wouter.hisschemoller
	 */
	public class TransposeSlider extends Slider 
	{
		public function TransposeSlider(asset : MovieClip)
		{
			super(asset, Slider.HORIZONTAL);
		}

		/**
		 * Creates and adds the child display objects of this component.
		 */
		override protected function addChildren() : void
		{
			_track = asset.tTrack;
			
			_thumb = asset.tThumb;
			
			super.addChildren();
		}

		/**
		 * 
		 */
		private function get asset() : TransposeSliderAsset
		{
			return _asset as TransposeSliderAsset;
		}
	}
}
