package com.hisschemoller.view.components 
{
	import assets.VScrollBarAsset;
	
	import com.hisschemoller.view.components.base.ScrollBar;
	
	import flash.display.MovieClip;
	import flash.events.MouseEvent;	
	/**
	 * @author Wouter Hisschemoller
	 * (c) Jan 8, 2010
	 */
	public class VScrollBar extends ScrollBar 
	{
		public function VScrollBar(inAsset : MovieClip)
		{
			super(inAsset, ScrollBar.VERTICAL);
		}

		/**
		 * Creates and adds the child display objects of this component.
		 */
		override protected function addChildren() : void
		{
			super.addChildren();
			
			_track = asset.tTrack;
			_track.addEventListener(MouseEvent.MOUSE_DOWN, handleTrackMouseDown);
			_track.stage.addEventListener(MouseEvent.MOUSE_UP, handleTrackMouseUp);
			
			_thumb = asset.tThumb;
			_thumb.addEventListener(MouseEvent.MOUSE_DOWN, handleThumbMouseDown);
			_thumb.buttonMode = true;
			_thumb.useHandCursor = true;
		}

		/**
		 * 
		 */
		private function get asset() : VScrollBarAsset
		{
			return _asset as VScrollBarAsset;
		}
	}
}
