﻿/**
 *	Copyright (c) 2007 Lost Boys 
 *	@author stephan.bezoen
 *	
 */

package yalog.common { 
	
	public class MessageData {
		public var text:String;			// the message
		public var level:Number;		// the level of importance
		public var time:Number;			// the time of dispatch
		public var sender:String;		// name of sender
		public var channelID:Number;	// id of the channel 
		
		public function MessageData (inText:String, inLevel:Number, inTime:Number = Number.NaN, inSender:String = null) {
			text = inText;
			level = inLevel;
			time = inTime;
			sender = inSender;
		}
		
		public function toString() : String {
			var s:String = "";
			if (!isNaN(time)) s += time + "\t";
			s += Levels.NAMES[level] + ": " + text;
			if (sender != null) s += " -- " + sender;
			
			return s;
		}
	}
}